v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/lots/manufacturing-lots/{id}
Retrieves manufacturing lot by lot ID. Rights: LotManagementGet.
Request
Path Parameters
-
id(required): string
ID of the lot.Example:
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
includeDeleted: boolean
Include deleted records.Example:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ManufacturingLotCommonTO
Type:
objectTitle:
ManufacturingLotCommonTOManufacturing Lot details
Show Source
-
blindedLotId: string
(uuid)
Title:
Blinded Lot IDBlinded lot ID. -
blindedLotVersionStart: string
(date-time)
Blinded lot version start date.
-
comment: string
Comment.Example:
Some comment -
doNotCount: number
(BigDecimal)
Title:
Do Not CountDo Not Count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Title:
Do Not ShipDo Not Ship (DNS) days.Example:10 -
expirationDate: string
(date-time)
Title:
Expiration DateExpiration date. -
inUse: boolean
Indicates whether the lot is in use.Example:
true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotNumber: string
Title:
Lot NumberLot number.Example:Lot1001 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001 -
materialId: string
(String)
Title:
Material IDMaterial ID.Example:1234 -
objectVersionNumber: number
(BigDecimal)
Object version number.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "REMOVED", "MODIFIED" ]Operation type.Example:MODIFIED -
quantity: number
(double)
Title:
QuantityKit quantity.Example:10 -
reason: string
Reason.Example:
Some reason -
runNumber: string
Run number.Example:
run number 01 -
softwareVersionNumber: number
(BigDecimal)
Software version number.Example:
2 -
userId: string
(uuid)
User ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Examples
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples